www.cendio.com

Bug 5056

Summary: logrotate scripts still uses incorrect redirection
Product: ThinLinc Reporter: Peter Åstrand <astrand@cendio.se>
Component: VSM ServerAssignee: Peter Åstrand <astrand@cendio.se>
Status: CLOSED FIXED QA Contact: Bugzilla mail exporter <bugzilla-qa@cendio.se>
Severity: Normal    
Priority: P2 CC: hean01@cendio.se, mikael@djurfeldt.com
Version: 4.1.1Keywords: hean01_tester, prosaic
Target Milestone: 4.2.0   
Hardware: PC   
OS: Unknown   
Acceptance Criteria:
Bug Depends on: 4471    
Bug Blocks:    

Description From cendio 2014-03-31 09:46:13
Moved from https://www.cendio.com/bugzilla/show_bug.cgi?id=4471#c14 :

Actually, the resolution to this problem, which I assume was first removing

  &> /dev/null

and then replacing this with

  2>&1 > /dev/null

(which is what I find under /etc/logrotate.d in release 4.1.1) is still not
accurate.

It should be

 > /dev/null 2>&1

(First stdout is redirected to /dev/null, then this redirection is copied to
stderr.)

Best regards,
Mikael D.
------- Comment #1 From cendio 2014-04-10 10:15:16 -------
Fixed in r28829.
------- Comment #2 From cendio 2014-04-14 09:15:42 -------
Tested using build 4323 on Ubuntu 12.04, works as expected.